#include <bits/stdc++.h>
using namespace std;
string t;
string k="1";
int br=0;
int main (){
    cin>>t;
    int x=t.size()-1;
    int y=t.size();
    for(int i=0;i<t.size()/2;i++){
        if(t[i]!=t[x]){
            k=t.substr(i,y-1);
            break;}
            x--;
            y=y-2;
}
   cout<<k.size();
return 0;
}